Subject: Re: bug#70299: 30.0.50; go-ts-mode + [email-masked] no highlighting

From: Martin <[email-masked]>
Date: Wed, 10 Apr 2024 09:38:31 +0100

🤦

heh. yeah that was it. deleted the .elc and now it works. Weirdly, setting
load-prefer-newer to t did not fix the issue.. I probably did something
wrong there too.

Anyway, all good. Thanks!

On Wed, Apr 10, 2024 at 12:22 AM Randy Taylor <[email-masked]> wrote:

> On Tuesday, April 9th, 2024 at 09:08, Martin via "Bug reports for GNU
> Emacs, the Swiss army knife of text editors" <[email-masked]>
> wrote:
> > I can see this in *Messages*
> >
> > > Error during redisplay: (jit-lock-function 6092) signaled
> (treesit-query-error "Node type error at" 150 "(function_declaration name:
> (identifier) @font-lock-function-name-face) (method_declaration name:
> (field_identifier) @font-lock-function-name-face) (method_spec name:
> (field_identifier) @font-lock-function-name-face) (field_declaration name:
> (field_identifier) @font-lock-property-name-face) (parameter_declaration
> name: (identifier) @font-lock-variable-name-face) (short_var_declaration
> left: (expression_list (identifier) @font-lock-variable-name-face (\",\"
> (identifier) @font-lock-variable-name-face) *)) (var_spec name:
> (identifier) @font-lock-variable-name-face (\",\" name: (identifier)
> @font-lock-variable-name-face) *)" "Debug the query with
> `treesit-query-validate'")
> >
> >
> > On Tue, Apr 9, 2024 at 12:55 PM Martin <[email-masked]>
> wrote:
> >
> > > I tried manually applying that patch to my local emacs - it didn't
> seem to fix the issue of no syntax highlighting?
> >>
>
> The patch fixes it for me.
>
> How did you apply the patch?
>
> Perhaps the stale bytecompiled go-ts-mode.elc is used instead - can you
> try either regenerating it or setting load-prefer-newer to t and trying
> again?
>
>